org.apache.flume.event

## Class EventBuilder

- java.lang.Object
- - org.apache.flume.event.EventBuilder

-     public class EventBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Event` | `withBody(byte[] body)`
    `static Event` | `withBody(byte[] body, Map<String,String> headers)` Instantiate an Event instance based on the provided body and headers.
    `static Event` | `withBody(String body, Charset charset)`
    `static Event` | `withBody(String body, Charset charset, Map<String,String> headers)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventBuilder

          public EventBuilder()

  - ### Method Detail

    - #### withBody

          public static Event withBody(byte[] body,
                       Map<String,String> headers)

      Instantiate an Event instance based on the provided body and headers. If `headers` is `null`, then it is ignored.
      Parameters:
        `body` -
        `headers` -
      Returns:

    - #### withBody

          public static Event withBody(byte[] body)

    - #### withBody

          public static Event withBody(String body,
                       Charset charset,
                       Map<String,String> headers)

    - #### withBody

          public static Event withBody(String body,
                       Charset charset)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.